#ifdef GL_ES
precision mediump float;
#endif

uniform mediump vec4 CC_Time;

void main(){
	vec2 texCoord = v_texCoord;
	
    // 1. compute x with sin() depending on y position and time
    // 2. scale down by 1.0
    // 3. multiple with power of two by y position to reduce waving effect when nearing bottom of sprite
    
    texCoord.x += sin(15.0 * texCoord.y + CC_Time[3] * 4.0) * 0.1 * pow(1.0 - texCoord.y, 2.0);
    
	gl_FragColor = v_fragmentColor*texture2D(CC_Texture0, texCoord);
}
