

#ifdef GL_ES
precision mediump float;
#endif

uniform vec2 texelSize;

varying vec2 textureCoordinate;
varying vec2 leftTextureCoordinate;
varying vec2 rightTextureCoordinate;

varying vec2 topTextureCoordinate;
varying vec2 topLeftTextureCoordinate;
varying vec2 topRightTextureCoordinate;

varying vec2 bottomTextureCoordinate;
varying vec2 bottomLeftTextureCoordinate;
varying vec2 bottomRightTextureCoordinate;

void main()
{
    gl_Position = CC_MVPMatrix * a_position;
    
    vec2 widthStep = vec2(texelSize.x, 0.0);
    vec2 heightStep = vec2(0.0, texelSize.y);
    vec2 widthHeightStep = vec2(texelSize.x, texelSize.y);
    vec2 widthNegativeHeightStep = vec2(texelSize.x, -texelSize.y);
    
    textureCoordinate = a_texCoord;
    leftTextureCoordinate = a_texCoord - widthStep;
    rightTextureCoordinate = a_texCoord + widthStep;
    
    topTextureCoordinate = a_texCoord - heightStep;
    topLeftTextureCoordinate = a_texCoord - widthHeightStep;
    topRightTextureCoordinate = a_texCoord + widthNegativeHeightStep;
    
    bottomTextureCoordinate = a_texCoord + heightStep;
    bottomLeftTextureCoordinate = a_texCoord - widthNegativeHeightStep;
    bottomRightTextureCoordinate = a_texCoord + widthHeightStep;
}

